<?php

/**
 * Menu without limit level
 *
 * @package MenuWithoutLimitLevel
 * @version 3.0
 * @author davidhs
 * @copyright 2010-2021 by davidhs
 * @license Creative Commons Attribution 3.0 Unported License https://creativecommons.org/licenses/by/3.0/
 */

if (!defined('SMF'))
	die('Hacking attempt...');

// Adds admin area.
function mwll_admin_areas(&$admin_areas)
{
	global $txt;

	$admin_areas['config']['areas']['modsettings']['subsections']['mwll'] = array($txt['mwll']);
}

// Adds admin search.
function mwll_admin_search(&$language_files, &$include_files, &$settings_search)
{
	$settings_search[] = array('mwllSettings', 'area=modsettings;sa=mwll');
}

// Adds modify modification.
function mwll_modify_modifications(&$subActions)
{
	$subActions['mwll'] = 'mwllSettings';
}

// Admin area settings.
function mwllSettings($return_config = false)
{
	global $txt, $scripturl, $context;

	$config_vars = array();
	$config_vars[] = array('title', 'mwll');
	$config_vars[] = array('large_text', 'mwll_code', 20,
		'subtext' => $txt['mwll_code_desc'],
		'preinput' =>
			'<tt>function (&amp;$buttons)<br />' .
			'{<br />' .
			'&nbsp;&nbsp;global $txt, $smcFunc, $scripturl, $modSettings, $user_info;<br />' .
			'&nbsp;&nbsp;</tt>',
		'postinput' => '<br /><tt>}</tt>',
	);

	if ($return_config)
		return $config_vars;

	$context['post_url'] = $scripturl . '?action=admin;area=modsettings;save;sa=mwll';

	// Saving?
	if (isset($_GET['save']))
	{
		checkSession();
		$save_vars = $config_vars;
		saveDBSettings($save_vars);
		logActions(array(array(
			'action' => 'mwll_edit',
			'log_type' => 'admin',
			'extra' => array(
			),
		)));
		$_SESSION['adm-save'] = true;
		redirectexit('action=admin;area=modsettings;sa=mwll');
	}

	prepareDBSettingContext($config_vars);
}

?>