<?php

/**
 * Menu without limit level
 *
 * @package MenuWithoutLimitLevel
 * @version 3.0
 * @author davidhs
 * @copyright 2010-2021 by davidhs
 * @license Creative Commons Attribution 3.0 Unported License https://creativecommons.org/licenses/by/3.0/
 */

if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once (dirname(__FILE__) . '/SSI.php');
elseif (!defined('SMF'))
	exit('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

$hooks = array(
	'integrate_admin_include' => '$sourcedir/Admin-MenuWithoutLimitLevel.php',
	'integrate_pre_include' => '$sourcedir/Subs-MenuWithoutLimitLevel.php',
	'integrate_menu_buttons' => 'mwll_menu_buttons',
	'integrate_admin_areas' => 'mwll_admin_areas',
	'integrate_modify_modifications' => 'mwll_modify_modifications',
);

if (!empty($context['uninstalling']))
	$call = 'remove_integration_function';
else
	$call = 'add_integration_function';

foreach ($hooks as $hook => $function)
	$call($hook, $function);

?>